Bug 831660 - Errai: Examples cannot be build
Errai: Examples cannot be build
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Errai, Examples (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
urgent Severity urgent
: ---
: 2.0.0.CR1
Assigned To: Pavel SLegr
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 10:24 EDT by Karel Piwko
Modified: 2012-06-22 03:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bus examples missing plugin versions (11.73 KB, text/plain)
2012-06-15 07:20 EDT, Karel Piwko
no flags Details

  None (edit)
Description Karel Piwko 2012-06-13 10:24:40 EDT
Description of problem:

There are numerous problems which causes examples distributed in -errai-demo.zip to be broken. This affects all examples in Most important are:

1/ Transitive dependency on jboss-parent:*-redhat-1 causes -redhat-1 plugins to be picked up (similar to bug 828180)
2/ Relative paths to the parents in poms 
3/ Missing parents from poms

Suggestion: Create a standalone POM to act as a parent for Errai examples.
Comment 1 Karel Piwko 2012-06-15 07:20:11 EDT
A quick verification from https://hudson.qa.jboss.com/hudson/view/WFK/view/WFK-2.0-CI/job/errai-2.0-wfk/17/:

Bus examples - can be compiled and imported into JBDS.

See attached log for plugin version warnings, this should be fixed.
Comment 2 Karel Piwko 2012-06-15 07:20:34 EDT
Created attachment 592105 [details]
bus examples missing plugin versions
Comment 3 Karel Piwko 2012-06-15 07:33:57 EDT
CDI examples:

require following change:

<exec.maven.plugin.version>1.2.1</exec.maven.plugin.version> 

Note that Maven plugins are not distributed to our customers.

JBDS fails with:

Description	Resource	Path	Location	Type
Cannot parse lifecycle mapping metadata for maven project MavenProject: org.jboss.errai:errai-cdi-demo-mvp:2.0.1.Final-redhat-1 @ /home/kpiwko/devel/wfk/sandbox/wfk-2.0/demo/cdi-examples/errai-cdi-mvp-demo/pom.xml Cause: Unrecognised tag: 'version' (position: START_TAG seen ...</artifactId>\n        <version>... @8:18) 	pom.xml	/errai-cdi-demo-mvp	line 1	Maven Project Build Lifecycle Mapping Problem

For all projects. I was not able to figure out why.
Comment 4 Karel Piwko 2012-06-15 07:37:42 EDT
JAX-RS examples:

Builds and imports fine.
Comment 5 Karel Piwko 2012-06-15 07:38:33 EDT
General note for *all* examples:

Profile jboss7 should be default. The other container related profiles should ideally be removed altogether.
Comment 6 Burr Sutter 2012-06-15 07:49:59 EDT
I agree that profile jboss7 should be default and the other container references MUST be removed from the productized version of these examples.   The question is...must this be done in WFK 2.0.0.GA as Errai is only TP?
Comment 8 Marek Novotny 2012-06-19 07:54:05 EDT
new build with fix was picked up in WFK aggregator build
Comment 9 Karel Piwko 2012-06-20 10:17:32 EDT
Verified, examples can be build in WFK 2.0.0.CR1 with Maven Central and EAP+WFK Maven repositories.

Note You need to log in before you can comment on or make changes to this bug.